Current Weather
GET /weather/currentParameters
Parameter
Required
Default
Description
Units
Example
curl "https://api.uwuapps.org/weather/current?lat=1.3521&lon=103.8198"Response
{
"success": true,
"units": "metric",
"tempUnit": "°C",
"windUnit": "km/h",
"timezone": "Asia/Singapore",
"current": {
"time": "2025-01-15T10:00",
"temperature": 29,
"apparentTemp": 34,
"humidity": 80,
"precipitation": 0,
"weatherCode": 3,
"weatherDescription": "Overcast",
"cloudCover": 95,
"windSpeed": 14,
"windGusts": 22,
"windDirection": 180,
"pressure": 1010
},
"hourly": [
{
"time": "2025-01-15T10:00",
"temperature": 29,
"precipitationProbability": 20,
"precipitation": 0,
"weatherCode": 3,
"weatherDescription": "Overcast",
"windSpeed": 14,
"cloudCover": 95
}
],
"daily": [
{
"date": "2025-01-15",
"weatherCode": 80,
"weatherDescription": "Rain showers",
"tempMax": 32,
"tempMin": 25,
"precipitationSum": 4.2,
"precipitationProbabilityMax": 70,
"windSpeedMax": 20
}
]
}Response fields
current
currentField
Description
hourly (next 24 hours)
hourly (next 24 hours)Field
Description
daily (next 7 days)
daily (next 7 days)Field
Description
WMO weather codes (common)
Code
Description
Notes
Last updated
Was this helpful?
